## odr-dabmod 3.0.0+ds

=== doc/zmq-ctrl/cpp/test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project (ctrl_test)
 
ADD_DEFINITIONS(-DBOOST_TEST_DYN_LINK -D_SCL_SECURE_NO_WARNINGS)

set(BOOST_LIBRARYDIR)
set(BOOST_INCLUDEDIR)
set(BOOST_USE_MULTITHREADED ON)
set(BOOST_USE_STATIC_LIBS ON)
set(BOOST_MIN_VERSION 1.55)

find_package( Boost ${BOOST_MIN_VERSION} REQUIRED 
            unit_test_framework 
            system 
            )

set(PROJECT_TEST_SRCS 
${CMAKE_CURRENT_SOURCE_DIR}/ctrl_test.cpp
${CMAKE_CURRENT_SOURCE_DIR}/../OdrModCtrl.cpp
)

include_directories( ${PROJECT_SOURCE_DIR}/../ )
link_directories (/usr/local/lib)
add_executable(${PROJECT_NAME} ${PROJECT_TEST_SRCS})

target_link_libraries(${PROJECT_NAME}
	zmq 
	${Boost_LIBRARIES}
	)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

## odr-dabmod 2.6.0+ds

=== debian/changelog ===
odr-dabmod (2.6.0+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Robin Alexander <robin.alexander@netplus.ch>  Sat, 08 Jun 2024 11:52:07 +0200

odr-dabmod (2.6.0+ds-1) unstable; urgency=low

  * Initial release (Closes: #1007104)

 -- Robin Alexander <robin.alexander@netplus.ch>  Wed, 27 Dec 2023 12:36:00 +0100

=== debian/control ===
Source: odr-dabmod
Section: hamradio
Priority: optional
Maintainer: Robin Alexander <robin.alexander@netplus.ch>
Build-Depends: debhelper-compat (= 13),
               libbladerf-dev,
               libboost-dev,
               libboost-thread-dev,
               libcurl4-openssl-dev,
               libfftw3-dev,
               liblimesuite-dev,
               libsoapysdr-dev,
               libuhd-dev,
               libzmq3-dev,
               pkg-config
Standards-Version: 4.6.2
Homepage: https://www.opendigitalradio.org/mmbtools
Vcs-Browser: https://salsa.debian.org/ralex/odr-dabmod
Vcs-Git: https://salsa.debian.org/ralex/odr-dabmod.git
Rules-Requires-Root: no

Package: odr-dabmod
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: DAB modulator compliant to ETSI EN 300 401
 ODR-DabMod is the Digital Audio Broadcast (DAB) OFDM
 modulator compliant to ETSI EN 300 401.
 .
 ODR-DabMod takes an Ensemble Transport Interface (ETI)
 stream as input and outputs a complex baseband stream of
 interlaced I/Q samples with a default sampling frequency
 of 2.048MHz. It can also directly drive SDR devices
 through Ettus' UHD driver, SoapySDR and LimeSuite.

## odr-dabmod 3.0.0%2Bds

=== debian/changelog ===
odr-dabmod (3.0.0+ds-1build1) questing; urgency=medium

  * Rebuild against latest uhd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 20:06:29 -0400

odr-dabmod (3.0.0+ds-1) unstable; urgency=low

  * New upstream version 3.0.0+ds

 -- Robin Alexander <robin.alexander@netplus.ch>  Thu, 27 Feb 2025 08:37:45 +0100

## odr-dabmod 3.0.0+ds

=== debian/changelog ===
odr-dabmod (3.0.0+ds-1~bpo12+1) bookworm-backports; urgency=low

  * Rebuild for bookworm-backports.
  * Rebuild for bookworm-backports

 -- Robin Alexander <robin.alexander@netplus.ch>  Wed, 02 Apr 2025 17:59:04 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libsoapysdr-dev,
                libuhd-dev,
                libzmq3-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.1
 Homepage: https://www.opendigitalradio.org/mmbtools
 Vcs-Browser: https://salsa.debian.org/ralex/odr-dabmod
 Vcs-Git: https://salsa.debian.org/ralex/odr-dabmod.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-fast-math --disable-zeromq --enable-limesdr --enable-bladerf --disable-native

## odr-dabmod 3.0.1%2Bds

=== debian/changelog ===
odr-dabmod (3.0.1+ds-1build1) resolute; urgency=medium

  * Rebuild against latest uhd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 18 Oct 2025 09:24:54 -0400

odr-dabmod (3.0.1+ds-1) unstable; urgency=medium

  * New upstream version 3.0.1+ds
  * Change maintainer's e-mail
  * Bump Standards-Version to 4.7.2
  * Fix maintainer's e-mail and drop postal address from the FSF license
  * Switch to Build-Depends-Arch with sbuild version 0.87.1
  * Review d/watch

 -- Robin Alexander <colisee@hotmail.com>  Tue, 09 Sep 2025 15:41:05 +0200

## odr-dabmod 3.0.1+ds

=== src/testremotecontrol/Makefile ===
CXXFLAGS=-Wall -g -lboost_system -lboost_thread -I..

all: test

test: test.cpp ../RemoteControl.cpp

clean:
	rm test

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: odr-dabmod
 Section: hamradio
 Priority: optional
-Maintainer: Robin Alexander <robin.alexander@netplus.ch>
-Build-Depends: debhelper-compat (= 13),
-               libbladerf-dev,
+Maintainer: Robin Alexander <colisee@hotmail.com>
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: libbladerf-dev,
                libboost-dev,
                libboost-thread-dev,
                libcurl4-openssl-dev,
@@ -13,7 +13,7 @@
                libuhd-dev,
                libzmq3-dev,
                pkgconf
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://www.opendigitalradio.org/mmbtools
 Vcs-Browser: https://salsa.debian.org/ralex/odr-dabmod
 Vcs-Git: https://salsa.debian.org/ralex/odr-dabmod.git

=== debian/watch ===
version=4
opts="searchmode=plain,repacksuffix=+ds,dversionmangle=auto,repack,compression=gz" \
https://api.github.com/repos/opendigitalradio/@PACKAGE@/tags \
https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v?@ANY_VERSION@
